/**
 */
package de.ugoe.cs.swe.bnftools.ebnf.util;

import de.ugoe.cs.swe.bnftools.ebnf.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see de.ugoe.cs.swe.bnftools.ebnf.EbnfPackage
 * @generated
 */
public class EbnfAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static EbnfPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EbnfAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = EbnfPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected EbnfSwitch<Adapter> modelSwitch =
    new EbnfSwitch<Adapter>()
    {
      @Override
      public Adapter caseEtsiBnf(EtsiBnf object)
      {
        return createEtsiBnfAdapter();
      }
      @Override
      public Adapter caseImportSection(ImportSection object)
      {
        return createImportSectionAdapter();
      }
      @Override
      public Adapter caseBnfEntry(BnfEntry object)
      {
        return createBnfEntryAdapter();
      }
      @Override
      public Adapter caseDeltaEntry(DeltaEntry object)
      {
        return createDeltaEntryAdapter();
      }
      @Override
      public Adapter caseMergeEntry(MergeEntry object)
      {
        return createMergeEntryAdapter();
      }
      @Override
      public Adapter caseSectionHeading(SectionHeading object)
      {
        return createSectionHeadingAdapter();
      }
      @Override
      public Adapter caseComment(Comment object)
      {
        return createCommentAdapter();
      }
      @Override
      public Adapter caseImport(Import object)
      {
        return createImportAdapter();
      }
      @Override
      public Adapter caseRule(Rule object)
      {
        return createRuleAdapter();
      }
      @Override
      public Adapter caseExtRule(ExtRule object)
      {
        return createExtRuleAdapter();
      }
      @Override
      public Adapter caseMergeRule(MergeRule object)
      {
        return createMergeRuleAdapter();
      }
      @Override
      public Adapter caseGlobalCombinator(GlobalCombinator object)
      {
        return createGlobalCombinatorAdapter();
      }
      @Override
      public Adapter caseRuleCombinator(RuleCombinator object)
      {
        return createRuleCombinatorAdapter();
      }
      @Override
      public Adapter caseHookCombinator(HookCombinator object)
      {
        return createHookCombinatorAdapter();
      }
      @Override
      public Adapter caseDefinitionList(DefinitionList object)
      {
        return createDefinitionListAdapter();
      }
      @Override
      public Adapter caseSingleDefinition(SingleDefinition object)
      {
        return createSingleDefinitionAdapter();
      }
      @Override
      public Adapter caseTerm(Term object)
      {
        return createTermAdapter();
      }
      @Override
      public Adapter caseAtom(Atom object)
      {
        return createAtomAdapter();
      }
      @Override
      public Adapter caseRuleReference(RuleReference object)
      {
        return createRuleReferenceAdapter();
      }
      @Override
      public Adapter caseStringRule(StringRule object)
      {
        return createStringRuleAdapter();
      }
      @Override
      public Adapter caseGroupedSequence(GroupedSequence object)
      {
        return createGroupedSequenceAdapter();
      }
      @Override
      public Adapter caseOptionalSequence(OptionalSequence object)
      {
        return createOptionalSequenceAdapter();
      }
      @Override
      public Adapter caseRepeatedSequence(RepeatedSequence object)
      {
        return createRepeatedSequenceAdapter();
      }
      @Override
      public Adapter caseRepeatRange(RepeatRange object)
      {
        return createRepeatRangeAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.EtsiBnf <em>Etsi Bnf</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.EtsiBnf
   * @generated
   */
  public Adapter createEtsiBnfAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.ImportSection <em>Import Section</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.ImportSection
   * @generated
   */
  public Adapter createImportSectionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.BnfEntry <em>Bnf Entry</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.BnfEntry
   * @generated
   */
  public Adapter createBnfEntryAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.DeltaEntry <em>Delta Entry</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.DeltaEntry
   * @generated
   */
  public Adapter createDeltaEntryAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.MergeEntry <em>Merge Entry</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.MergeEntry
   * @generated
   */
  public Adapter createMergeEntryAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.SectionHeading <em>Section Heading</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.SectionHeading
   * @generated
   */
  public Adapter createSectionHeadingAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.Comment <em>Comment</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.Comment
   * @generated
   */
  public Adapter createCommentAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.Import <em>Import</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.Import
   * @generated
   */
  public Adapter createImportAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.Rule <em>Rule</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.Rule
   * @generated
   */
  public Adapter createRuleAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.ExtRule <em>Ext Rule</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.ExtRule
   * @generated
   */
  public Adapter createExtRuleAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.MergeRule <em>Merge Rule</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.MergeRule
   * @generated
   */
  public Adapter createMergeRuleAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.GlobalCombinator <em>Global Combinator</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.GlobalCombinator
   * @generated
   */
  public Adapter createGlobalCombinatorAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.RuleCombinator <em>Rule Combinator</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.RuleCombinator
   * @generated
   */
  public Adapter createRuleCombinatorAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.HookCombinator <em>Hook Combinator</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.HookCombinator
   * @generated
   */
  public Adapter createHookCombinatorAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.DefinitionList <em>Definition List</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.DefinitionList
   * @generated
   */
  public Adapter createDefinitionListAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.SingleDefinition <em>Single Definition</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.SingleDefinition
   * @generated
   */
  public Adapter createSingleDefinitionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.Term <em>Term</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.Term
   * @generated
   */
  public Adapter createTermAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.Atom <em>Atom</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.Atom
   * @generated
   */
  public Adapter createAtomAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.RuleReference <em>Rule Reference</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.RuleReference
   * @generated
   */
  public Adapter createRuleReferenceAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.StringRule <em>String Rule</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.StringRule
   * @generated
   */
  public Adapter createStringRuleAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.GroupedSequence <em>Grouped Sequence</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.GroupedSequence
   * @generated
   */
  public Adapter createGroupedSequenceAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.OptionalSequence <em>Optional Sequence</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.OptionalSequence
   * @generated
   */
  public Adapter createOptionalSequenceAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.RepeatedSequence <em>Repeated Sequence</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.RepeatedSequence
   * @generated
   */
  public Adapter createRepeatedSequenceAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link de.ugoe.cs.swe.bnftools.ebnf.RepeatRange <em>Repeat Range</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see de.ugoe.cs.swe.bnftools.ebnf.RepeatRange
   * @generated
   */
  public Adapter createRepeatRangeAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //EbnfAdapterFactory
